ホーム > フォーラム > 質問箱 > XCL2.2 > XCL2.2(UTF-8) plzXoo が HTTP500内部サーバーエラー

XCL2.2(UTF-8) plzXoo が HTTP500内部サーバーエラー
投稿者: moriuchi | 投稿日時: 2011/6/22 14:25 | 閲覧: 9461回
moriuchi

XCL初心者です。
XCL2.2にplzXooをインストールしたのですが、メインメニューから教えて!Xooをクリックすると
HTTP500内部サーバーエラーが発生します。

plzXooのindex.phpのexFrame関連の行をコメントアウトすると、エラーが出なくなります。

exFrameは 0.89 を置いています。
原因切り分けのため、0.90に変更してみましたが、現象は変わりませんでした。

XCLのバージョンか文字コードの相性があるのかもしれないと思いましたが、よく分かりません。

何かヒントでも教えて頂ければ助かります。

moriuchi
タグ: ,

コメント(2)

新しいものから | 古いものから | ネスト表示 | RSS feed
Re: XCL2.2(UTF-8) plzXoo が HTTP500内部サーバーエラー 
投稿者: rabbit_bit | 投稿日時: 2011/6/23 10:04
rabbit_bit

XCLのバージョン,文字コードの相性,ともに問題ないはずです。

xampp 1.7.1
XCL 2.2
exFrame 0.90.5
plzXoo1.03
system 1.0
上記条件の,クリーンインストール環境で確認してみました。
Fatal エラーを確認しました。


------◆修正箇所(1か所)-------------------------------------------------------------------
XOOPS_ROOT_PATH\modules\exFrame\mojaLE\Render\SmartyRenderer.class.php
の2行目を
require_once XOOPS_ROOT_PATH."/class/smarty/Smarty.class.php";
から
require_once SMARTY_DIR."/Smarty.class.php";
に変更。
-----------------------------------------------------------------------------------------------
エラーはでなくなります。
そのほかの問題は確認していません。

ローカル環境で,PHPが吐き出すエラーを参考に問題点を探すといいかもしれません。



引用:
XCL初心者です。
XCL2.2にplzXooをインストールしたのですが、メインメニューから教えて!Xooをクリックすると
HTTP500内部サーバーエラーが発生します。

plzXooのindex.phpのexFrame関連の行をコメントアウトすると、エラーが出なくなります。

exFrameは 0.89 を置いています。
原因切り分けのため、0.90に変更してみましたが、現象は変わりませんでした。

XCLのバージョンか文字コードの相性があるのかもしれないと思いましたが、よく分かりません。

何かヒントでも教えて頂ければ助かります。

moriuchi
Re: XCL2.2(UTF-8) plzXoo が HTTP500内部サーバーエラー 

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top